<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>


    <!-- Link jquery -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

    <!-- Link ICONS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">

    <!-- Bootstrap -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <!-- DATA-TABLE -->

    <!--  Import style bootstrap cho datatable -->
    <!-- Import DataTable Library -->

    <!-- DATA-TABLE MỚI -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css">
    <script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>

    <script src="crud.js"></script>

    <!-- CSS -->
    <style>
        .h1-text {
            padding: 50px 0;
            color: white;
            font-size: 3rem;
            -webkit-text-stroke: 0.3px rgb(1, 255, 9);
            -webkit-text-fill-color: rgb(0, 0, 0);
            text-shadow: 5px 2px 4px grey;
            font-weight: bold;
        }
    </style>
</head>

<body>

    <div class="container-fluid">
        <div class="text-center">
            <h1 class="h1-text">Danh sách người dùng đăng ký</h1>
        </div>
    </div>


    <div class="container-fluid mt-5">
        <div class="text-center">
            <i class="fas fa-plus mt-1 ml-2" style="color:white ; position:absolute; font-size:32px"></i> <button class="btn btn-primary form-group font-weight-bold pl-5 pr-4" id="btn-add-courses" data-toggle='modal' data-target='#insert-create-course-modal'> Thêm Courses</button>
        </div>

        <table id="courses-table" class="table table-bordered table-striped table-hover mt-5">
            <thead style="background-color: black; color:rgb(9, 255, 0)">
                <!-- <thead> -->
                <tr>
                    <th>Course Code </th>
                    <th>Course Name</th>
                    <th>Price</th>
                    <th>Discount Price</th>
                    <th>Duration</th>
                    <th>Level</th>
                    <th>Cover Image</th>
                    <th>Teacher Name</th>
                    <th>Teacher Photo</th>
                    <th>Popular</th>
                    <th>Trending</th>
                    <th>Action</th>
                </tr>

            </thead>

            <tbody>

            </tbody>
        </table>

    </div>


    <!-- Add New modal -->
    <div id="insert-create-courses-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">

                <!-- modal header -->
                <div class="modal-header">
                    <h5 class="modal-title">Thêm Courses</h5>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>

                <!-- modal body -->
                <div class="modal-body">
                    <form>

                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label> Course Code </label>
                            </div>

                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="inp-create-courseCode">
                            </div>
                        </div>


                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Course Name</label>
                            </div>

                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="inp-create-courseName">
                            </div>
                        </div>


                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label> Price</label>
                            </div>

                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="inp-create-price">
                            </div>
                        </div>


                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label> Discount Price</label>
                            </div>

                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="inp-create-discountPrice">
                            </div>
                        </div>


                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label> Duration</label>
                            </div>

                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="inp-create-duration">
                            </div>
                        </div>


                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label> Level</label>
                            </div>

                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="inp-create-level">
                            </div>
                        </div>


                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label> Cover Image</label>
                            </div>

                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="inp-create-coverImage">
                            </div>
                        </div>


                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label> Teacher Name</label>
                            </div>

                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="inp-create-teacherName">
                            </div>
                        </div>


                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label> Teacher Photo</label>
                            </div>

                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="inp-create-teacherPhoto">
                            </div>
                        </div>


                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label> Is Popular</label>
                            </div>

                            <div class="col-sm-8">
                                <select class="form-control" id="select-create-popular">
                                    <option value="NOT_SELECT_POPULAR"> Trạng Thái</option>
                                    <option value="true" style="font-weight: bold;color:blue" > TRUE </option>
                                    <option value="false" style="font-weight: bold;color:red"> FALSE </option>
                                </select>
                            </div>
                        </div>


                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label> Is Trending</label>
                            </div>

                            <div class="col-sm-8">
                                <select class="form-control" id="select-create-trending">
                                    <option value="NOT_SELECT_TRENDING"> Trạng Thái</option>
                                    <option value="true" style="font-weight: bold;color:blue"> TRUE </option>
                                    <option value="false" style="font-weight: bold;color:red"> FALSE </option>
                                </select>
                            </div>
                        </div>


                    </form>
                </div>


                <!-- Modal-footer -->
                <div class="modal-footer">
                    <button class="btn btn-primary" id="btn-create-courses">Insert Courses</button>
                    <button class="btn btn-warning" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>
    <!-- End Add New Modal -->


    <!-- Up Date modal -->
    <div id="insert-edit-courses-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">

                <!-- modal header -->
                <div class="modal-header">
                    <h5 class="modal-title">Sửa Courses</h5>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>

                <!-- modal body -->
                <div class="modal-body">
                    <form>


                        <!-- <div class="row form-group" style="font-size:22px; font-weight:bold; color:red">
                            <div class="col-sm-5"></div>

                            <div class="col-sm-2 text-center">
                                <label> ID <label id="inp-edit-id" ></label> </label>
                            </div>

                            <div class="col-sm-5"></div>
                        </div> -->


                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label> Course Code </label>
                            </div>

                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="inp-edit-courseCode">
                            </div>
                        </div>


                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Course Name</label>
                            </div>

                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="inp-edit-courseName">
                            </div>
                        </div>


                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label> Price</label>
                            </div>

                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="inp-edit-price">
                            </div>
                        </div>


                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label> Discount Price</label>
                            </div>

                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="inp-edit-discountPrice">
                            </div>
                        </div>


                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label> Duration</label>
                            </div>

                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="inp-edit-duration">
                            </div>
                        </div>


                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label> Level</label>
                            </div>

                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="inp-edit-level">
                            </div>
                        </div>


                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label> Cover Image</label>
                            </div>

                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="inp-edit-coverImage">
                            </div>
                        </div>


                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label> Teacher Name</label>
                            </div>

                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="inp-edit-teacherName">
                            </div>
                        </div>


                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label> Teacher Photo</label>
                            </div>

                            <div class="col-sm-8">
                                <input type="text" class="form-control" id="inp-edit-teacherPhoto">
                            </div>
                        </div>


                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label> Is Popular</label>
                            </div>

                            <div class="col-sm-8">
                                <select class="form-control" id="select-edit-popular">
                                    <option value="NOT_SELECT_POPULAR"> Trạng Thái</option>
                                    <option value="true" style="font-weight: bold;color:blue" > TRUE </option>
                                    <option value="false" style="font-weight: bold;color:red"> FALSE </option>
                                </select>
                            </div>
                        </div>


                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label> Is Trending</label>
                            </div>

                            <div class="col-sm-8">
                                <select class="form-control" id="select-edit-trending">
                                    <option value="NOT_SELECT_TRENDING"> Trạng Thái</option>
                                    <option value="true" style="font-weight: bold;color:blue"> TRUE </option>
                                    <option value="false" style="font-weight: bold;color:red"> FALSE </option>
                                </select>
                            </div>
                        </div>


                    </form>
                </div>


                <!-- Modal-footer -->
                <div class="modal-footer">
                    <button class="btn btn-success" id="btn-upDate-course">Update Courses</button>
                    <button class="btn btn-warning" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>
    <!-- End Up Date Modal -->


    <!-- Delete confirm modal -->
    <div>
        <div class="modal fade" tabindex="-1" id="delete-confirm-modal">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="h5-modal-title">Courses Delete Confirmation</h5>
                        <button class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body">
                        <label>Bạn có chắc chắn muốn xóa course này không???</label>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-danger" id="btn-confirm-delete-course">Confirm</button>
                        <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

</body>

<script>
</script>

</html>